# ACE_RMCast::Retransmit::Descr Struct Reference

Collaboration diagram for ACE_RMCast::Retransmit::Descr:

[legend]
List of all members.

## Public Member Functions

| Descr ()
| Descr (Message_ptr msg)
unsigned long | inc ()
void | reset ()
Message_ptr | message () const

## Private Attributes

Message_ptr | msg_
unsigned long | count_

## Constructor & Destructor Documentation

ACE_RMCast::Retransmit::Descr::Descr | ( |  | ) | `[inline]`

ACE_RMCast::Retransmit::Descr::Descr | ( | Message_ptr | msg | ) | `[inline]`

## Member Function Documentation

unsigned long ACE_RMCast::Retransmit::Descr::inc | ( |  | ) | `[inline]`

Message_ptr ACE_RMCast::Retransmit::Descr::message | ( |  | ) | const`[inline]`

void ACE_RMCast::Retransmit::Descr::reset | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned long ACE_RMCast::Retransmit::Descr::count_`[private]`

Message_ptr ACE_RMCast::Retransmit::Descr::msg_`[private]`

The documentation for this struct was generated from the following file:

- Retransmit.h